Security Enhanced Linux Reference Policy

# Layer: admin

## Module: rpm

Interfaces

### Description:

Policy for the RPM package manager.

### Interfaces:

rpm_dbus_chat( domain )

##### Summary

Send and receive messages from rpm over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_domtrans( domain )

##### Summary

Execute rpm programs in the rpm domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_domtrans_script( domain )

##### Summary

Execute rpm_script programs in the rpm_script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_dontaudit_manage_db( domain )

##### Summary

Do not audit attempts to create, read, write, and delete the RPM package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

rpm_exec( domain )

##### Summary

Execute the rpm client in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_manage_db( domain )

##### Summary

Create, read, write, and delete the RPM package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_manage_log( domain )

##### Summary

Create, read, write, and delete the RPM log.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_manage_script_tmp_files( domain )

##### Summary

Create, read, write, and delete RPM script temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rpm_read_db( domain )

##### Summary

Read the RPM package database.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_read_pipes( domain )

##### Summary

Read from an unnamed RPM pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_run( domain , role )

##### Summary

Execute RPM programs in the RPM domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to allow the RPM domain.

rpm_rw_pipes( domain )

##### Summary

Read and write an unnamed RPM pipe.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_use_fds( domain )

##### Summary

Inherit and use file descriptors from RPM.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rpm_use_script_fds( domain )

##### Summary

Inherit and use file descriptors from RPM scripts.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return